Public Class LETESCE
    Private _DocId As Integer
    Private _CodigoInversion As String
    Private _CodigoCasa As String
    Private _ValorNominal As Double
    Private _ValorTransado As Double
    Private _Precio As Double
    Private _Impuestos As Double
    Private _TotalaPagar As Double
    Private _FechaOperacion As Date
    Private _FechaLiquidacion As Date
    Private _FechaVencimiento As Date
    Private _RendimientoBruto As Double
    Private _RendimientoNeto As Double
    Private _Periodicidad As String
    Private _Plazo As Integer
    Private _IngresoBruto As Double
    Private _IngresoNeto As Double




    Public Property CodigoCasa As String
        Get
            Return _CodigoCasa
        End Get
        Set(value As String)
            _CodigoCasa = value
        End Set
    End Property
    Public Property ValorNominal As Double
        Get
            Return _ValorNominal
        End Get
        Set(value As Double)
            _ValorNominal = value
        End Set
    End Property

    Public Property Precio As Double
        Get
            Return _Precio
        End Get
        Set(value As Double)
            _Precio = value
        End Set
    End Property

    Public Property TotalaPagar As Double
        Get
            Return _TotalaPagar
        End Get
        Set(value As Double)
            _TotalaPagar = value
        End Set
    End Property
    Public Property FechaOperacion As Date
        Get
            Return _FechaOperacion
        End Get
        Set(value As Date)
            _FechaOperacion = value
        End Set
    End Property
    Public Property FechaLiquidacion As Date
        Get
            Return _FechaLiquidacion
        End Get
        Set(value As Date)
            _FechaLiquidacion = value
        End Set
    End Property
    Public Property FechaVencimiento As Date
        Get
            Return _FechaVencimiento
        End Get
        Set(value As Date)
            _FechaVencimiento = value
        End Set
    End Property
    Public Property RendimientoBruto As Double
        Get
            Return _RendimientoBruto
        End Get
        Set(value As Double)
            _RendimientoBruto = value
        End Set
    End Property
    Public Property RendimientoNeto As Double
        Get
            Return _RendimientoNeto
        End Get
        Set(value As Double)
            _RendimientoNeto = value
        End Set
    End Property
    Public Property Periodicidad As String
        Get
            Return _Periodicidad
        End Get
        Set(value As String)
            _Periodicidad = value
        End Set
    End Property
    Public Property Plazo As Integer
        Get
            Return _Plazo
        End Get
        Set(value As Integer)
            _Plazo = value
        End Set
    End Property
    Public Property IngresoBruto As Double
        Get
            Return _IngresoBruto
        End Get
        Set(value As Double)
            _IngresoBruto = value
        End Set
    End Property
    Public Property IngresoNeto As Double
        Get
            Return _IngresoNeto
        End Get
        Set(value As Double)
            _IngresoNeto = value
        End Set
    End Property



End Class
